"use client";
function o(t) {
  return (n = {}) => {
    const d = n.width ? String(n.width) : t.defaultWidth;
    return t.formats[d] || t.formats[t.defaultWidth];
  };
}
export {
  o as buildFormatLongFn
};
